Update contact
curl --request PUT \
--url https://api.bizzyco.ai/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"company": "Acme Corp",
"jobTitle": "Software Engineer",
"picture": "https://example.com/avatar.jpg",
"notes": "Met at conference",
"title": "Mr.",
"name": "John Doe",
"data": {}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
company: 'Acme Corp',
jobTitle: 'Software Engineer',
picture: 'https://example.com/avatar.jpg',
notes: 'Met at conference',
title: 'Mr.',
name: 'John Doe',
data: {}
})
};
fetch('https://api.bizzyco.ai/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/contacts/{id}"
payload = {
"firstName": "John",
"lastName": "Doe",
"company": "Acme Corp",
"jobTitle": "Software Engineer",
"picture": "https://example.com/avatar.jpg",
"notes": "Met at conference",
"title": "Mr.",
"name": "John Doe",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/contacts/{id}"
payload := strings.NewReader("{\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"company\": \"Acme Corp\",\n \"jobTitle\": \"Software Engineer\",\n \"picture\": \"https://example.com/avatar.jpg\",\n \"notes\": \"Met at conference\",\n \"title\": \"Mr.\",\n \"name\": \"John Doe\",\n \"data\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"jobTitle": "<string>",
"picture": "<string>",
"notes": "<string>",
"title": "<string>",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"label": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}
],
"phoneNumbers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneNumber": "<string>",
"countryCode": "<string>",
"nationalNumber": "<string>",
"label": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}
],
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country": "<string>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"data": {}
}
]
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Contacts
Update contact
Update an existing contact. Note: This endpoint accepts partial updates (same behavior as PATCH).
PUT
/
v1
/
contacts
/
{id}
Update contact
curl --request PUT \
--url https://api.bizzyco.ai/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"company": "Acme Corp",
"jobTitle": "Software Engineer",
"picture": "https://example.com/avatar.jpg",
"notes": "Met at conference",
"title": "Mr.",
"name": "John Doe",
"data": {}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
company: 'Acme Corp',
jobTitle: 'Software Engineer',
picture: 'https://example.com/avatar.jpg',
notes: 'Met at conference',
title: 'Mr.',
name: 'John Doe',
data: {}
})
};
fetch('https://api.bizzyco.ai/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/contacts/{id}"
payload = {
"firstName": "John",
"lastName": "Doe",
"company": "Acme Corp",
"jobTitle": "Software Engineer",
"picture": "https://example.com/avatar.jpg",
"notes": "Met at conference",
"title": "Mr.",
"name": "John Doe",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/contacts/{id}"
payload := strings.NewReader("{\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"company\": \"Acme Corp\",\n \"jobTitle\": \"Software Engineer\",\n \"picture\": \"https://example.com/avatar.jpg\",\n \"notes\": \"Met at conference\",\n \"title\": \"Mr.\",\n \"name\": \"John Doe\",\n \"data\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"jobTitle": "<string>",
"picture": "<string>",
"notes": "<string>",
"title": "<string>",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"emails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"label": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}
],
"phoneNumbers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneNumber": "<string>",
"countryCode": "<string>",
"nationalNumber": "<string>",
"label": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {}
}
],
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country": "<string>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"data": {}
}
]
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Path Parameters
Contact UUID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Example:
"John"
Example:
"Doe"
Example:
"Acme Corp"
Example:
"Software Engineer"
Example:
"https://example.com/avatar.jpg"
Example:
"Met at conference"
Example:
"Mr."
Example:
"John Doe"
Show child attributes
Show child attributes
Last modified on August 9, 2026
⌘I